com.google.gwt.cell.client

## Interface ButtonCellBase.Appearance<C>

- Type Parameters:
    `C` - the type that this Cell represents
  All Known Subinterfaces:
    TextButtonCell.Appearance
  All Known Implementing Classes:
    ButtonCellBase.DefaultAppearance, TextButtonCell.DefaultAppearance
  Enclosing class:
    ButtonCellBase<C>

      public static interface ButtonCellBase.Appearance<C>

  The appearance used to render this Cell.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onPush(Element parent)` Called when the user pushes the button down.
    `void` | `onUnpush(Element parent)` Called when the user releases the button from being pushed.
    `void` | `render(ButtonCellBase<C> cell, Cell.Context context, C value, SafeHtmlBuilder sb)` Render the button and its contents.
    `void` | `setFocus(Element parent, boolean focused)` Explicitly focus/unfocus this cell.

- - ### Method Detail

    - #### onPush

          void onPush(Element parent)

      Called when the user pushes the button down.
      Parameters:
        `parent` - the parent Element

    - #### onUnpush

          void onUnpush(Element parent)

      Called when the user releases the button from being pushed.
      Parameters:
        `parent` - the parent Element

    - #### render

          void render(ButtonCellBase<C> cell,
                      Cell.Context context,
                      C value,
                      SafeHtmlBuilder sb)

      Render the button and its contents.
      Parameters:
        `cell` - the cell that is being rendered
        `context` - the `Context` of the cell
        `value` - the value that generated the content
        `sb` - the `SafeHtmlBuilder` to render into

    - #### setFocus

          void setFocus(Element parent,
                        boolean focused)

      Explicitly focus/unfocus this cell.
      Parameters:
        `parent` - the parent element
        `focused` - whether this cell should take focus or release it